package utilidades;

public class Ataque {
	int tipo;
	float valor;
	boolean esquivado;
	public Ataque(int tipo, float valor) {
		esquivado=false;
		this.tipo=tipo;
		this.valor=valor;
	}
	
	public Ataque ataqueFinal() {
		this.valor*=2;
		return this;
	}
	
	float danio(int tipo) {
		switch(this.tipo) {
		case Personaje.ALTO:
			if(tipo==Personaje.BAJO) {
				this.esquivado=true;
				return 0;
			}else {
				return valor*2;
			}
		case Personaje.MEDIO:
			if(tipo==Personaje.ALTO) {
				return valor*1.2f;
			}else if(tipo==Personaje.BAJO) {
				return valor*0.8f;
			}else {
				return valor;
			}
		case Personaje.BAJO:{
			if(tipo==Personaje.BAJO) {
				return valor;
			}else {
				return valor*0.5f;

			}
		}
		}
		return 0;
	}
}
